Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1045 - Glint doesn't like sub-dirs in the rpm directory
Summary: Glint doesn't like sub-dirs in the rpm directory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glint
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-04 22:30 UTC by keybounce
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-06 00:22:29 UTC


Attachments (Terms of Use)

Description keybounce 1999-02-04 22:30:25 UTC
Glint will die if there are subdirectories in the available
rpm path. Specifically, it will stop searching the
directory, the window with the progress bar will freeze up
and stay on screen, and the main process will stay around
and continue to work.

[root@new-server updates]# read failed: Is a directory (21)
Exception in Tkinter callback
Traceback (innermost last):
  File
"/var/tmp/python-root/usr/lib/python1.5/lib-tk/Tkinter.py",
line 752, in __call__
    return apply(self.func, args)
  File "./glint.py", line 62, in available
    availablePackageSet = PackagePathSet(currentPackagePath)
  File "./packageset.py", line 157, in __init__
    self.setPath(path)
  File "./packageset.py", line 147, in setPath
    package = AvailablePackage(file)
  File "./package.py", line 242, in __init__
    if (not result):
NameError: result

[root@new-server updates]# ls -d */
images/  jpeg/
[root@new-server updates]#

"images" contains boot.img and supp.img
"jpeg" contains the .rpm's for the jpeg updates

The work around is simple enough -- move the subdirs out of
the way.

Comment 1 David Lawrence 1999-02-06 00:22:59 UTC
This has been fixed with the version of glint that ships with 5.2.
Please obtain the newer version of glint from our support web page at
http://www.redhat.com/support or upgrade to 5.2.


Note You need to log in before you can comment on or make changes to this bug.